##
##  ctrlproxy.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  3.0.8
%define       V_dist  3.0.8

#   package information
Name:         ctrlproxy
Summary:      Internet Relay Chat (IRC) Client Proxy
URL:          http://www.ctrlproxy.org/
Vendor:       J. Vernooij & D. Poelzleithner
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        InstantMessaging
License:      GPL
Version:      %{V_opkg}
Release:      20120713

#   list of sources
Source0:      http://www.ctrlproxy.org/releases/ctrlproxy-%{V_dist}.tar.gz
Patch0:       ctrlproxy.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, pkgconfig
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  glib, gnutls, libtasn1, readline
PreReq:       glib, gnutls, libtasn1, readline

%description
    CtrlProxy is an IRC client proxy which runs on a computer with a
    24x7 Internet connection and allows you to transparently connect
    to IRC from anywhere on the world to your nick. It connects to one
    or more IRC servers and then allows you to connect to it with any
    number of clients, providing access to these servers.

%track
    prog ctrlproxy = {
        version   = %{V_dist}
        url       = http://www.ctrlproxy.org/
        regex     = ctrlproxy-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n ctrlproxy-%{V_dist}
    %patch -p0

%build
    ( echo "ac_cv_path_KRB5_CONFIG=no"
    ) >config.cache
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} `pkg-config readline glib-2.0 gnutls libtasn1 --cflags-only-other`" \
    CPPFLAGS="%{l_cppflags} `pkg-config readline glib-2.0 gnutls libtasn1 --cflags-only-I`" \
    LDFLAGS="%{l_ldflags} `pkg-config readline glib-2.0 gnutls libtasn1 --libs-only-other`" \
    LIBS="`pkg-config readline glib-2.0 gnutls libtasn1 --libs-only-l`" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/include/ctrlproxy
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

